- @page_title = t('.title')

= render 'layouts/page_actions', new_url: new_admin_resource_interaction_path,
                                 new_caption:  t('.new')

- if @resource_interactions.empty?
  .rui-empty= t('.no_content')
- else
  %table
    %caption.-sr-only= t('.table_caption')
    %thead
      %tr
        %th.-text--monospace.-text--right{ scope: 'col' }= t('generic.id')
        %th.-text--monospace.-text--right{ scope: 'col' }= t('activerecord.attributes.genus.sync_id')
        %th{ scope: 'col' }= t('activerecord.attributes.resource_interaction.subject')
        %th{ scope: 'col' }= t('activerecord.attributes.resource_interaction.nature')
        %th{ scope: 'col' }= t('activerecord.attributes.resource_interaction.target')
        %th{ scope: 'col' }= t('activerecord.attributes.resource_interaction.notes')
        %th{ scope: 'col' }

    %tbody
      - @resource_interactions.each do |resource_interaction|
        %tr
          %td.-text--monospace.-text--right= resource_interaction.id
          %td.-text--monospace.-text--right= resource_interaction.sync_id.presence || '-'
          %td= resource_interaction.subject.name
          %td
            &rarr;
            = link_to resource_interaction.nature, admin_resource_interaction_path(resource_interaction)
            &rarr;
          %td= resource_interaction.target.name
          %td= resource_interaction.notes
          %td.-actions
            = render 'layouts/entity_actions', edit_url: edit_admin_resource_interaction_path(resource_interaction),
                                               destroy_url: admin_resource_interaction_path(resource_interaction)
